Timeout without any error message after getting network states/backlog
10/31/2017 12:36 PM - Flexman
Description

Quassel Client gets stuck when connecting to Quassel-Core. (see attached picture).
I'm using Quassel Core on Windows (with SQLite) and the Quassel Client on two different computers (but not at the same time).

Both Quassel Clients also got stuck from the beginning when the settings for "backlog fetchin" were too high (e.g. the default
settings).

Since | reduced the settings, everything worked for month now. But suddenly the client on one computer gets stuck. If | restart the
core it will work for a day until it gets stuck again.

Unfortunately neither the core, nor the client show any error messages that seem to be connected to this problem:

The core says:
client disconnected (UserID: 2)

The client says:

libpng warning: iCCP: known incorrect sRGB profile

libpng warning: iCCP: cHRM chunk does not match sRGB
defaultServiceProvider::requestService(): no service found for - "org.qt-project.gt.mediaplayer"”
Enabling compression...

Using the DataStream protocol...

So we just seem to have a timeout without error message.

History

#1 - 04/10/2021 11:44 AM - Flexman

Guess you need a better spam-protection here. :(

Concerning the Bug: I'm using 0.13.1 as core and client and don't seem the have these problems anymore. So you can close this bug, | guess some
code change improved this.

#2 - 04/11/2021 02:35 AM - digitalcircuit

- Status changed from New to Closed

Unfortunately, yeah, spam's a known issue, sorry for that. A few community members have to occasionally check up on recent activity and delete
spam.

Closing this issue as you requested.
